gr::ieee802_15_4::phr_removal Class Reference

<+description of block+> More...

`#include <phr_removal.h>`

Inheritance diagram for gr::ieee802_15_4::phr_removal:
[legend]

## Public Types

typedef boost::shared_ptr< phr_removal > | sptr

## Static Public Member Functions

static sptr | make (std::vector< unsigned char > phr)
| Return a shared_ptr to a new instance of ieee802_15_4::phr_removal. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<phr_removal> gr::ieee802_15_4::phr_removal::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::phr_removal::make | ( | std::vector< unsigned char > | phr | ) |

static

Return a shared_ptr to a new instance of ieee802_15_4::phr_removal.

To avoid accidental use of raw pointers, ieee802_15_4::phr_removal's constructor is in a private implementation class. ieee802_15_4::phr_removal::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- phr_removal.h